libzypp 17.37.10

zyppng::detail::or_else_helper< Callback > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/expected.h>`

## Public Member Functions
template<typename T, typename E>
auto | operator() (const expected< T, E > &exp)
template<typename T, typename E>
auto | operator() (expected< T, E > &&exp)

## Public Attributes
Callback | function

## Detailed Description

template<typename Callback>
struct zyppng::detail::or_else_helper< Callback >

Definition at line 572 of file expected.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Callback>
template<typename T, typename E>

auto zyppng::detail::or_else_helper< Callback >::operator() | ( | const expected< T, E > & | exp | ) |
| inline

Definition at line 576 of file expected.h.

## ◆ operator()() [2/2]

template<typename Callback>
template<typename T, typename E>

auto zyppng::detail::or_else_helper< Callback >::operator() | ( | expected< T, E > && | exp | ) |
| inline

Definition at line 581 of file expected.h.

## Member Data Documentation

## ◆ function

template<typename Callback>

Callback zyppng::detail::or_else_helper< Callback >::function

Definition at line 573 of file expected.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/expected.h